LibreOffice: XRestartManager Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XRestartManager Interface Referencepublished

allows to try to restart the office. More...

`import <XRestartManager.idl;`

Inheritance diagram for XRestartManager:

## Public Member Functions
void | requestRestart ([in] com::sun::star::task::XInteractionHandler xInteractionHandler) raises ( com::sun::star::uno::Exception )
| let the office restart asynchronously
boolean | isRestartRequested ([in] boolean bInitialized) raises ( com::sun::star::uno::Exception )
| allows to get info whether the restart has been requested and provide the initialization status.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to try to restart the office.

Since
  OOo 3.3

## Member Function Documentation

## ◆ isRestartRequested()

boolean isRestartRequested | ( | [in] boolean | bInitialized | ) |
raises | ( | com::sun::star::uno::Exception ) |  |  |

allows to get info whether the restart has been requested and provide the initialization status.

The office has to call this method just before the main loop has been started, with the `TRUE` as argument, so that the implementation knows that the office is initialized. If the method returns `TRUE`, the office should restart without starting the main loop.

Parameters

  bInitialized | specifies whether the office process is initialized already, if the caller does not have this information, he should provide `FALSE`.

Returns
  `TRUE` if the office restart has been requested, `FALSE` otherwise

Exceptions

  com::sun::star::uno::Exception | to notify the caller about possible failures

## ◆ requestRestart()

void requestRestart | ( | [in] com::sun::star::task::XInteractionHandler | xInteractionHandler | ) |
raises | ( | com::sun::star::uno::Exception ) |  |  |

let the office restart asynchronously

Parameters

  xInteractionHandler | the com::sun::star::task::InteractionHandler service implementation, that is used in case a problem is detected during requesting the restart.

Exceptions

  com::sun::star::uno::Exception | to notify the caller about possible failures

The documentation for this interface was generated from the following file:

- com/sun/star/task/XRestartManager.idl